streamWrapper::stream_tell
streamWrapper::stream_write
streamWrapper
PHP Manual

# streamWrapper::stream_truncate

(PHP 5 >= 5.4.0)

streamWrapper::stream_truncate — Truncate stream

### Description

public bool streamWrapper::stream_truncate ( int `$new_size` )

Will respond to truncation, e.g., through ftruncate().

### Parameters

`new_size`

  The new size.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- ftruncate() - Truncates a file to a given length

streamWrapper::stream_tell
streamWrapper::stream_write
streamWrapper
PHP Manual